Description

redmine:load_default_data loads various kinds of default data such as roles, permissions, issue statuses, trackers, workflows, and
enumerations, to a fresh installation of Redmine. These default data will save users time and allow them to learn how to configure
Redmine.

| think it would be great if the rake task also creates default queries for the reasons as follows:
e Users can easily learn about the query feature. Currently, it is a bit difficult for beginners to find the feature. "Save" button is the
only way to find it

¢ Providing some typical queries by default is convenient for many users

The attached patch improves redmine:load_default_data rake task to add four queries by default. The queries are "Issues assigned
to me", "Reported issues", "Updated issues", and "Watched issues", equivalent to blocks available on My page.

+ Overview Activity R Spenttime Gantt Calendar News Documents Wiki Files Settings

Issues assigned to me O Newissue «+  cictom queries
Filters
Options Reported issues
Updated issues
« Apply @ Clear " Edit fij Delete Watched issues

No data to display

Also available in: EJ Atom | CSV | PDF

This idea came to me when | tried using Jira. There are some queries such as "My open issues" and "Reported by me" in a fresh Jira
project.
Issues and filters

. TODO 0
My open issues

Reported by me 4+ Create new issue
All issues

Open issues

Done issues

Viewed recently

Created recently

Resolved recently

Updated recently

Related issues:
Related to Redmine - Feature #10142: Add quick filter "Assigned to me" to sav... Closed

Associated revisions

Revision 19731 - 2020-04-28 09:10 - Go MAEDA

Load default custom queries when running redmine:load_default_data rake task (#33296).

Patch by Go MAEDA.

Revision 19733 - 2020-04-29 09:43 - Go MAEDA
Fix test failures due to r19731 (#33296).

History

#1 - 2020-04-16 15:00 - Mischa The Evil

+1 for the integration of this proposal. A few notes nevertheless:

e Wouldn't such default custom queries be useful also for the other Query subclasses?

¢ Regarding your comment that "[...] Currently, it is a bit difficult for beginners to find the feature. "Save" button is the only way to find it [...]": what
about the documentation? It may be rudimentary, but it is clearly explained in Redminelssuel.ist#Applying-and-saving-filters that filters can be
saved. | agree though that this is not (yet) the case for Query subclasses other than IssueQuery.

¢ On a more general note: | wouldn't suggest to run redmine:load_default_data while provisioning a new Redmine instance in a (corporate)
production environment in the first place, but this depends heavily on the scale of the deployment and the kind of environment it's deployed in,
so, YMMV.

#2 - 2020-04-16 17:37 - Marius BALTEANU

- Target version set to Candidate for next major release

Nice idea.

Maybe it's a good idea to add some default queries on a fresh install and not only as default data?

#3 - 2020-04-18 09:40 - Go MAEDA
- File load_default_query.patch added

Updated the patch. Now the rake task adds project queries and time entry queries.

#4 - 2020-04-18 12:13 - Mischa The Evil

I'll combine my response on two notes:

Marius BALTEANU wrote in #note-2:
https://www.redmine.org/projects/redmine/wiki/RedmineIssueList#Applying-and-saving-filters

Maybe it's a good idea to add some default queries on a fresh install and not only as default data?

Do you mean via (a) Rails migration(s) or somehow programatically?

Go MAEDA wrote in #note-3:

Updated the patch. Now the rake task adds project queries and time entry queries.

The patch file seems to miss the time entry queries changes.
#5 - 2020-04-18 12:17 - Marius BALTEANU
Mischa The Evil wrote:

I'll combine my response on two notes:

Marius BALTEANU wrote in #note-2:

Maybe it's a good idea to add some default queries on a fresh install and not only as default data?

Do you mean via (a) Rails migration(s) or somehow programatically?

Yes, via a migration that should run only when the queries table has no entries. But it's just an idea :)

#6 - 2020-04-19 06:20 - Go MAEDA
- File load_default_query.patch added

Mischa The Evil wrote:

Go MAEDA wrote in #note-3:

Updated the patch. Now the rake task adds project queries and time entry queries.

The patch file seems to miss the time entry queries changes.

Sorry, here is the latest patch.

#7 - 2020-04-19 06:36 - Go MAEDA
Marius BALTEANU wrote:

Marius BALTEANU wrote in #note-2:

Maybe it's a good idea to add some default queries on a fresh install and not only as default data?

Do you mean via (a) Rails migration(s) or somehow programatically?

Yes, via a migration that should run only when the queries table has no entries. But it's just an idea :)

Since only JPL can add new migrations, | think the way will take a longer time to be implemented. On the other hand, updating
lib/redmine/default_data/loader.rb is much easier to implement.

#8 - 2020-04-19 09:11 - Marius BALTEANU

- Target version changed from Candidate for next major release to 4.2.0
Let’s do it then.
#9 - 2020-04-21 14:45 - Go MAEDA

- Subject changed from Load default issue queries when runnning redmine:load_default_data rake task to Load default custom queries when runnning
redmine:load_default_data rake task

- Category changed from Issues list to Filters
#10 - 2020-04-21 21:15 - Jean-Philippe Lang

| confirm that this should not be done in migrations. It's generally a bad idea to use models in migrations and we should avoid this whenever it's

possible.

#11 - 2020-04-28 09:11 - Go MAEDA

- Subject changed from Load default custom queries when runnning redmine:load_default _data rake task to Load default custom queries when

running redmine:load_default_data rake task
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#12 - 2020-04-28 16:53 - Go MAEDA

- Status changed from New to Closed

#13 - 2020-04-29 09:04 - Go MAEDA

- Status changed from Closed to Reopened

r19731 caused test failures.

#14 - 2020-04-29 10:00 - Go MAEDA

- Status changed from Reopened to Closed

Go MAEDA wrote:

r19731 caused test failures.

Fixed in r19733.

#15 - 2023-05-05 10:29 - Go MAEDA

- Related to Feature #10142: Add quick filter "Assigned to me" to saved issue filters added
